r36294 - in /desktop/unstable/gconf/debian: changelog control control.in tests/ tests/build tests/control

mpitt at users.alioth.debian.org mpitt at users.alioth.debian.org
Thu Nov 15 12:33:47 UTC 2012


Author: mpitt
Date: Thu Nov 15 12:33:46 2012
New Revision: 36294

URL: http://svn.debian.org/wsvn/pkg-gnome/?sc=1&rev=36294
Log:
Add a simple compile/link/run autopkgtest for libgconf2-dev. Thanks Rafał
Cieślak! (LP: #1078719)

Added:
    desktop/unstable/gconf/debian/tests/
    desktop/unstable/gconf/debian/tests/build
    desktop/unstable/gconf/debian/tests/control
Modified:
    desktop/unstable/gconf/debian/changelog
    desktop/unstable/gconf/debian/control
    desktop/unstable/gconf/debian/control.in

Modified: desktop/unstable/gconf/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/gconf/debian/changelog?rev=36294&op=diff
==============================================================================
--- desktop/unstable/gconf/debian/changelog [utf-8] (original)
+++ desktop/unstable/gconf/debian/changelog [utf-8] Thu Nov 15 12:33:46 2012
@@ -1,3 +1,10 @@
+gconf (3.2.5-2) UNRELEASED; urgency=low
+
+  * Add a simple compile/link/run autopkgtest for libgconf2-dev. Thanks Rafał
+    Cieślak! (LP: #1078719)
+
+ -- Martin Pitt <mpitt at debian.org>  Thu, 15 Nov 2012 13:29:47 +0100
+
 gconf (3.2.5-1) unstable; urgency=low
 
   * New upstream release.

Modified: desktop/unstable/gconf/debian/control
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/gconf/debian/control?rev=36294&op=diff
==============================================================================
--- desktop/unstable/gconf/debian/control [utf-8] (original)
+++ desktop/unstable/gconf/debian/control [utf-8] Thu Nov 15 12:33:46 2012
@@ -31,6 +31,7 @@
 Homepage:  http://projects.gnome.org/gconf/
 Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gconf
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gconf/
+XS-Testsuite: autopkgtest
 
 Package: gconf2
 Architecture: any

Modified: desktop/unstable/gconf/debian/control.in
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/gconf/debian/control.in?rev=36294&op=diff
==============================================================================
--- desktop/unstable/gconf/debian/control.in [utf-8] (original)
+++ desktop/unstable/gconf/debian/control.in [utf-8] Thu Nov 15 12:33:46 2012
@@ -26,6 +26,7 @@
 Homepage:  http://projects.gnome.org/gconf/
 Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gconf
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gconf/
+XS-Testsuite: autopkgtest
 
 Package: gconf2
 Architecture: any

Added: desktop/unstable/gconf/debian/tests/build
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/gconf/debian/tests/build?rev=36294&op=file
==============================================================================
--- desktop/unstable/gconf/debian/tests/build (added)
+++ desktop/unstable/gconf/debian/tests/build [utf-8] Thu Nov 15 12:33:46 2012
@@ -1,0 +1,26 @@
+#!/bin/sh
+# autopkgtest check: Builds a small application against libgconf2, checking
+# if it compiles, links and runs successfully.
+# Author: Rafał Cieślak <rafalcieslak256 at ubuntu.com>
+
+set -e
+
+WORKDIR=$(mktemp -d)
+trap "rm -rf $WORKDIR" 0 INT QUIT ABRT PIPE TERM
+cd $WORKDIR
+cat <<EOF > build_test.c
+#include <gconf/gconf-client.h>
+#include <glib-object.h>
+int main(int argc, char** argv) {
+    g_type_init();
+    GConfClient* client = gconf_client_get_default();
+    if (!client) return 1;
+    return 0;
+}
+EOF
+
+gcc -o build_test build_test.c `pkg-config --libs --cflags gobject-2.0 gconf-2.0`
+echo "build: OK"
+[ -x build_test ]
+./build_test
+echo "run: OK"

Added: desktop/unstable/gconf/debian/tests/control
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/gconf/debian/tests/control?rev=36294&op=file
==============================================================================
--- desktop/unstable/gconf/debian/tests/control (added)
+++ desktop/unstable/gconf/debian/tests/control [utf-8] Thu Nov 15 12:33:46 2012
@@ -1,0 +1,2 @@
+Tests: build
+Depends: build-essential, pkg-config, libgconf2-dev




More information about the pkg-gnome-commits mailing list